抖音 · 内容详情

使用某音乐的视频

传入音乐链接或 ID,返回使用该音乐的视频,含互动数据、话题标签和作者信息。

POST/v1/douyin/music

$0.00405 起

  • 每条记录$0.00405
  • 每条详情记录$0.0045
1,000 条
≈ $4.05
每页(10 条)最低
$0.002084

可用试用额度能用 cursor 翻页

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/douyin/music" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"musics":["7482371896877665043"]}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "video",
      "awemeId": "7633646113853104116",
      "url": "https://www.douyin.com/video/76336461…",
      "description": "别犹豫 想吃谁做的就@谁*** #家常菜 #如…",
      "createdAt": "2026-04-28T03:25:39Z",
      "durationSeconds": 8.9,
      "likeCount": 5193124,
      "commentCount": 366040,
      "shareCount": 3400582,
      "collectCount": 602879,
      "hashtags": [
        "家常菜",
        "如果幸福是一顿漂亮饭"
      ],
      "musicId": "7482371896877665043",
      "musicTitle": "心跳(你又在哭泣我给不了安慰)",
      "musicAuthor": "<masked>",
      "authorSecUid": "<masked>",
      "authorUid": "<masked>",
      "authorNickname": "<masked>",
      "authorDouyinId": "<masked>",
      "authorAvatar": "<masked>",
      "authorGender": null,
      "authorBio": "<masked>",
      "authorIpLocation": null,
      "authorRegion": "<masked>",
      "authorFollowerCount": 1498207,
      "authorVerified": null,
      "coverUrl": "https://p3-sign.douyinpic.com/tos-cn-…",
      "videoUrl": "https://v5-dy-ov-experiment.zjcdn.com…",
      "imageUrls": null
    },
    {
      "type": "video",
      "awemeId": "7622608304482029190",
      "url": "https://www.douyin.com/video/76226083…",
      "description": "“几位?”“两位!”#剧剧抖有戏",
      "createdAt": "2026-03-29T09:33:18Z",
      "durationSeconds": 10,
      "likeCount": 3058312,
      "commentCount": 58997,
      "shareCount": 519822,
      "collectCount": 64698,
      "hashtags": [
        "剧剧抖有戏"
      ],
      "musicId": "7482371896877665043",
      "musicTitle": "心跳(你又在哭泣我给不了安慰)",
      "musicAuthor": "<masked>",
      "authorSecUid": "<masked>",
      "authorUid": "<masked>",
      "authorNickname": "<masked>",
      "authorDouyinId": "<masked>",
      "authorAvatar": "<masked>",
      "authorGender": null,
      "authorBio": "<masked>",
      "authorIpLocation": null,
      "authorRegion": "<masked>",
      "authorFollowerCount": 3347546,
      "authorVerified": "<masked>",
      "coverUrl": "https://p3-sign.douyinpic.com/tos-cn-…",
      "videoUrl": "https://v5-dy-ov-experiment.zjcdn.com…",
      "imageUrls": null
    }
  ],
  "cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.008100",
    "balance_usd": "9.875000",
    "items": 2
  }
}

字段 28

字段类型示例值
typestringvideo
awemeIdstring7633646113853104116
urlstringhttps://www.douyin.com/video/7633646113853104116
descriptionstring别犹豫 想吃谁做的就@谁*** #家常菜 #如果幸福是一顿漂亮饭
createdAtstring2026-04-28T03:25:39Z
durationSecondsnumber8.9
likeCountnumber5193124
commentCountnumber366040
shareCountnumber3400582
collectCountnumber602879
hashtagsarray["家常菜","如果幸福是一顿漂亮饭"]
musicIdstring7482371896877665043
musicTitlestring心跳(你又在哭泣我给不了安慰)
musicAuthorstring<masked>
authorSecUidstring<masked>
authorUidstring<masked>
authorNicknamestring<masked>
authorDouyinIdstring<masked>
authorAvatarstring<masked>
authorGendernullnull
authorBiostring<masked>
authorIpLocationnullnull
authorRegionstring<masked>
authorFollowerCountnumber1498207
authorVerifiednullnull
coverUrlstringhttps://p3-sign.douyinpic.com/tos-cn-i-0813c001/okiAIDJvALIE…
videoUrlstringhttps://v5-dy-ov-experiment.zjcdn.com/57b505e37efa98ba864b3c…
imageUrlsnullnull

参数 2

参数名类型必填说明示例
limitinteger否返回的记录条数,1 到 100。一次请求返回的条数不会超过这个数。5
musicsarray是抖音音乐链接(https://www.douyin.com/music/7482371896877665043)或数字音乐 ID。每个视频的音乐 ID 在 `musicId` 字段里。["7482371896877665043"]

翻页

把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。

JavaScript
const params = {"musics":["7482371896877665043"]};
const records = [];
let cursor = null;
do {
  const response = await fetch("https://api.silklinedata.com/v1/douyin/music", {
    method: "POST",
    headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
    body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
  });
  const answer = await response.json();
  records.push(...answer.data);
  cursor = answer.cursor;
} while (cursor);
console.log(records.length);

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口一页最多 10 条,每页最低收费 $0.002084;要 100 条的请求会取 10 页。

  • 1 条:最多 $0.00405
  • 20 条:最多 $0.081
  • 100 条:最多 $0.405

上面几行只按最便宜的那种记录算。别的种类按各自的价格另算:详情记录 $0.0045。

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「使用某音乐的视频」要传哪些参数?

必填:musics。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 10 条,要 100 条时一次请求取 10 页。

能接着往后取吗?

能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。

怎么收费?

每条 记录 $0.00405、详情记录 $0.0045。每页最低收费 $0.002084:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.405。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。